###################################################################################
#
#    Copyright (c) 2017-2019 MuK IT GmbH.
#
#    This file is part of MuK Documents Chatter 
#    (see https://mukit.at).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Lesser General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public License
#    along with this program. If not, see <http://www.gnu.org/licenses/>.
#
###################################################################################

import os
import base64
import logging
import unittest

from odoo import _
from odoo.tests import common

from odoo.addons.muk_utils.tests.common import multi_users
from odoo.addons.muk_dms.tests.common import setup_data_function
from odoo.addons.muk_dms_actions.tests.test_action import ActionTestCase

_path = os.path.dirname(os.path.dirname(__file__))
_logger = logging.getLogger(__name__)

class ActionTestCase(ActionTestCase):
    
    @setup_data_function(setup_func='_setup_test_data')
    def test_activity(self):
        test_action = self.action.create({
            'name': "Test",
            'activity_done': True,
            'activity_create': True,
            'activity_type': 1,
            'activity_summary': "Summary",
            'activity_note': "Note",
            'activity_deadline_value': 5,
            'assigned_user': self.env.uid,
        })
        test_action.trigger_actions(self.new_file.ids)
        self.assertTrue(self.new_file.activity_ids.ids)